package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/8/9
 */
@Data
public class FreightTemplateVo {

    private Integer id;
    /**
     * 运费模板名称
     */
    private String name;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 添加时间
     */
    private String addTime;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除标记 0使用 其他删除
     */
    private Integer delFlag;
    /**
     * 运费模板对应规则集合
     */
    private List<FreightRuleVo> freightRuleList;
}
