package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/8/9
 */
@Data
public class ProvinceVo implements Serializable {

    /**
     * 省份Id
     */
    private Integer provinceId;
    /**
     * 省名称
     */
    private String name;
    /**
     * 是否选中、前端使用
     */
    private Boolean checked;
    /**
     * 选中市名称集合
     */
    private String[] checkedCities;
    /**
     * 是否全选、前端使用
     */
    private Boolean isIndeterminate;
    /**
     * 归属的运费规则
     */
    private Integer type;
    /**
     * 市集合
     */
    private List<CityVo> cityList;
}
