package com.caimei365.commodity.service;

import com.caimei365.commodity.model.po.KeyPo;
import com.caimei365.commodity.model.vo.CmProductArchiveVO;

import java.util.List;

/**
 * 商品资料内容Service接口
 *
 * @author Kaick
 * @date 2023-12-25
 */
public interface CmProductArchiveContentService {

    List<CmProductArchiveVO> getCmProductArchiveContentList(CmProductArchiveVO cmProductArchiveVO);

    List<CmProductArchiveVO> getCmProductArchiveInfoList(Integer pageNum,String title,String labelIds);

    List<CmProductArchiveVO> getCmProductArchiveBaikeList(Integer pageNum,String title,String labelIds);
    /**
     * 关键词下拉选择项
     */
    List<KeyPo> findKeyWordList(String v);
    /**
     * 已上线商品列表
     */
    List<CmProductArchiveVO> findProductList(CmProductArchiveVO cmProductArchiveVO);

    CmProductArchiveVO getByCmProductArchiveContent(CmProductArchiveVO cmProductArchiveVO);


    int addCmProductArchiveContent(CmProductArchiveVO cmProductArchiveVO);


    int delCmProductArchiveContentById(String id);

}

