package com.caimei365.commodity.service;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.model.vo.PaginationVo;
import com.caimei365.commodity.model.vo.ProductShoplVo;

import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/28
 */
public interface ShopOrderService {
    /**
     * 供应商商品数据
     * @param shopId
     * @param name
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PaginationVo<ProductShoplVo>> getShopProductList(Integer shopId, String name, Integer pageNum, Integer pageSize);
}
