package com.caimei365.commodity.model.po;

import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 对象 cm_distribution_team_product
 *
 * @author Kaick
 * @date 2023-09-20
 */
@Accessors(fluent  = true )
@Data
@Alias("CmDistributionTeamProduct")
public class CmDistributionTeamProduct  implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** cm_distribution表id */
    private Integer distributionId;

    /** cm_distribution_product表商品id */
    private Integer productId;

    /** 上架状态:1上架,2下架 */
    private String validFlag;

    /** 商品名称 */
    private String name;
    /** 供应商Id */
    private String shopID;
    /** 供应商名称 */
    private String shopName;
    /** mainImage */
    private String mainImage;
    private BigDecimal price;

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getShopID() {
        return shopID;
    }

    public void setShopID(String shopID) {
        this.shopID = shopID;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getMainImage() {
        return mainImage;
    }

    public void setMainImage(String mainImage) {
        this.mainImage = mainImage;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getDistributionId() {
        return distributionId;
    }

    public void setDistributionId(Integer distributionId) {
        this.distributionId = distributionId;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }
}

