package com.caimei365.commodity.model.po;

import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;

/**
 * 浏览量对象 cm_praise_statistics
 *
 * @author Kaick
 * @date 2023-08-15
 */
@Accessors(chain  = true )
@Data
@Alias("CmPraiseStatistics")
public class CmPraiseStatistics implements Serializable
{
    private static final long serialVersionUID = 1L;

    /**  */
    private String id;

    /** 分类: 1 (cm_product_archive_content)美业资料,2信息中心首页轮播图(cm_brand_landing)*/
    private String type;

    /** 归属者Id（type字段表Id） */
    private String authorId;

    /** 点赞数量 */
    private Integer num;

    /** 阅读总量 */
    private Integer pv;

    /** 删除标记 0 否，其余是 */
    private Integer delFlag;

}


