package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/8/9
 */
@Data
public class FreightRuleVo {

    private Integer id;
    /**
     * 运费模板表Id
     */
    private Integer freightId;
    /**
     * 运费规则名称
     */
    private String ruleTax;
    /**
     * 运费金额
     */
    private Double freightAmount;
    /**
     * 运费地区
     */
    private String areaTax;
    /**
     * 是否指定条件包邮 0无条件 1指定条件包邮
     */
    private Integer freeType;
    /**
     * 包邮条件 0 满足件数 1 满足金额
     */
    private Integer freeCondition;
    /**
     * 包邮商品件数
     */
    private Integer productNum;
    /**
     * 包邮商品金额
     */
    private Double allAmount;

    /**
     * 运费规则对应地区集合
     */
    private List<FreightAreaVo> freightAreaList;
}
