package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/8/9
 */
@Data
public class RegionVo implements Serializable {
    /**
     * 区域名称
     */
    private String name;
    /**
     * 是否选中
     */
    private Boolean checked;
    /**
     * 选中省名称集合
     */
    private String[] checkedCities;
    /**
     * 是否全选、前端使用
     */
    private Boolean isIndeterminate;
    /**
     * 归属的运费规则
     */
    private Integer type;
    /**
     * 省集合
     */
    private List<ProvinceVo> provinceList;
}
