package com.caimei365.commodity.service.impl;

import com.caimei365.commodity.mapper.CmPraiseStatisticsMapper;
import com.caimei365.commodity.model.po.CmPraiseStatistics;
import com.caimei365.commodity.service.CmPraiseStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 浏览量Service业务层处理
 *
 * @author Kaick
 * @date 2023-08-15
 */
@Service
public class CmPraiseStatisticsServiceImpl implements CmPraiseStatisticsService {
    @Autowired
    private CmPraiseStatisticsMapper cmPraiseStatisticsMapper;

    /**
     * 修改浏览量
     *
     * @param cmPraiseStatistics 浏览量
     * @return 结果
     */
    @Override
    public int addPvCmPraiseStatistics(CmPraiseStatistics cmPraiseStatistics) {
        // CmPraiseStatistics byCmPraiseStatistics = cmPraiseStatisticsMapper.getByCmPraiseStatistics(cmPraiseStatistics);
        // if (null != byCmPraiseStatistics) {
        //     byCmPraiseStatistics.setPv(byCmPraiseStatistics.getPv() + 1);
        //     return cmPraiseStatisticsMapper.updateCmPraiseStatistics(byCmPraiseStatistics);
        // } else {
            cmPraiseStatistics.setPv(1);
            return cmPraiseStatisticsMapper.addCmPraiseStatistics(cmPraiseStatistics);
        // }
    }


}
