package com.caimei365.commodity.service.impl;

import com.caimei365.commodity.mapper.StatisticsTypeMapper;
import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.service.StatisticsTypeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @创建人 hzg
 * @创建时间 2022/8/30
 * @描述
 */
@Slf4j
@Service
public class StatisticsTypeServiceImpl implements StatisticsTypeService {

    @Resource
    private StatisticsTypeMapper typeMapper;

    /**
     * 点击时做修改统计
     */
    @Override
    public ResponseJson alterTypeNumber(Integer typeId, Integer bannerId) {
        // 统计为 banner 进入时应记录 bannerId 统计 banner 点击次数
        if (1 == typeId && null == bannerId) {
            return ResponseJson.error(-1, "bannerId不能为空", null);
        }
        typeMapper.insertTypeNumber(typeId, bannerId);
        return ResponseJson.success();
    }
}
